#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	HTML
%define		pnam	Template
Summary:	HTML::Template - Perl module to use HTML templates from CGI scripts
Summary(pl.UTF-8):	HTML::Template - moduł Perla do obsługi szablonów HTML w skryptach CGI
Name:		perl-HTML-Template
Version:	2.97
Release:	1%{?tld}
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ee5f4a78102d2ffe089e047d2dbb0ff8
URL:		https://github.com/mpeters/html-template/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-IPC-SharedCache
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module attempts make using HTML templates simple and natural.

It extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> and <TMPL_ELSE>. The file
written with HTML and these new tags is called a template. It is
usually saved separate from your script - possibly even created by
someone else!

Using this module you fill in the values for the variables, loops and
branches declared in the template. This allows you to seperate design
- the HTML - from the data, which you generate in the Perl script.

%description -l pl.UTF-8
Ten moduł próbuje uczynić wykorzystywanie szablonów HTML prostym i
naturalnym.

Rozszerza standardowy HTML o kilka znaczników HTML-opodobnych:
<TMPL_VAR>, <TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> oraz <TMPL_ELSE>.
Plik napisany w HTML-u z użyciem tych nowych znaczników nazywa się
szablonem. Zwykle jest oddzielony od skryptu - a nawet tworzony przez
kogoś innego.

Przy użyciu tego modułu wypełnia się wartościami zmienne, pętle oraz
warunki zadeklarowane w szablonie. Pozwala to oddzielić projekt (HTML)
od danych generowanych w skrypcie perlowym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# just docs
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/HTML/Template/FAQ.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README templates scripts
%{perl_vendorlib}/HTML/Template.pm
%dir %{perl_vendorlib}/HTML/Template
%{_mandir}/man3/HTML::Template.3pm*
%{_mandir}/man3/HTML::Template::FAQ.3pm*
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-HTML-Template.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2c8b187
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8703b73
- up to 2.97

* Tue Jun 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 0d9a779
- updated to 2.95

* Sat Aug 17 2013 Jan Rękorajski <baggins@pld-linux.org> a1b8141
- updated files

* Sat Aug 17 2013 Jan Rękorajski <baggins@pld-linux.org> 4c7aefe
- up to 2.94

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 5d31e67
- up to 2.9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2dccf96
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f838fd3
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> c1d5ca8
- rel 1

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> f804bda
- up to 2.8, rel 0.1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f9cd280
- formatting

* Fri Jul 09 2004 Adam Gołębiowski <adamg@pld-linux.org> dc9ee00
- updated to 2.7

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> a692d98
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2c7495c
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4ca5456
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 9f1b61e
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 797ee7f
- license fixes and unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> f400c2f
- ported to new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 73658af
- cosmetics, unifications

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a6fc528
- spaces -> tab

